summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-wireless')
-rw-r--r--net-wireless/eyefiserver/Manifest4
-rw-r--r--net-wireless/eyefiserver/eyefiserver-2.3_rc2.ebuild33
-rw-r--r--net-wireless/eyefiserver/metadata.xml21
3 files changed, 42 insertions, 16 deletions
diff --git a/net-wireless/eyefiserver/Manifest b/net-wireless/eyefiserver/Manifest
index 73b1a1d..6b89026 100644
--- a/net-wireless/eyefiserver/Manifest
+++ b/net-wireless/eyefiserver/Manifest
@@ -1,3 +1,3 @@
DIST 2.3_rc2.tar.gz 18825 SHA256 7932b162ec2c10d7df95c77456316f6412055ceaff733a49698fe25d7f03b04f SHA512 92fb919227f892a409606119aedb5e44e7c17e1af249b5a349009622febaf5271822f87a935373305fa72431ed6ffbcbe34ea6201a722a80f5678e8ae348e979 WHIRLPOOL ac82753ccbc2aefaec1b39d6ccb48ca27f9c29c0d14a09d39cd52b5e61f238bcbba25480e62224cf784fcb187b958ffc86e0c01394dac4a068a51ba6e4728034
-EBUILD eyefiserver-2.3_rc2.ebuild 687 SHA256 6507cf832597b354da82ccd698a8ac39ccfb44bf3034fc256490bea048a82a7f SHA512 cfb434bc7a255e81f69d9483ee1f4fc78bb08b9e0d4d5fa83fd0ade6712f1ef2bdc3953410cc3c938649097b3bf88a094384fda2843df7be665451115d7f4c65 WHIRLPOOL 5eae695c195841a7a2f215a3d9e1a20b398be24c5a8777f7f92973b14d7f67cbcd8832cce6246b83b2e173c5c1c17d799954ae4f098c3b01e08bbde43f4e1b5f
-MISC metadata.xml 278 SHA256 038b4acb7994d8c94c120c0de51148264909583024c27da7a7c9ac9fdbe69d63 SHA512 5b9248cb179d456a9a246157faa662eddea55a7dc4c9c8fc6e9fcbad9f592a67ecdfcb32639f5501f69eac933db9b730b8a7f7e257ade4ac4650701106722af5 WHIRLPOOL d4fc834018630f5aa17eb4076562c966a6e5190a51ef9637615d5ebc4d448cd036a3b0d62c51cd9fd04bc519c59bc5dd8378a329201ae370b7a13fbb4084707d
+EBUILD eyefiserver-2.3_rc2.ebuild 1230 SHA256 791fcddfe73959585f7ec5f4f2ac1a352ee6194b9a50671859d5f058054fef2a SHA512 015fb0e5e47a9e2e27a10e93f03a95012a246052ce745f5d0a4d079c00c2a06a7c077b59bf2cbb08b34d6095f1870a35d52328d190ed51fbeb258c9ecd449835 WHIRLPOOL 87c8e412f9a9ddf767613a931e1cf54ee50b75b0a8d92b5bf5802435b5cfcf3e631c4409c09584b1f84551902e74f3771a0403152d80f3907d4afae0a765c35f
+MISC metadata.xml 622 SHA256 4ecb2a062dca24a809c737534c930d2148490556d7c9957099d90c2fd3d84700 SHA512 9721dfd444bcb1fe06357c361f37757c28f05bf6147a174d12f2dbe3ab8ffe045b7576aad5dcf37cb3601d9a03ba7de72a429f17813c0541cd96c249dbed0c9d WHIRLPOOL 23e6bf40c751f7a33b37aae33d61793d2a572ce5124d3243d4221ae109d8864fef0b3a79c4b43221e250154fca741fe80ef680352a6486a4321c1b41a87caaca
diff --git a/net-wireless/eyefiserver/eyefiserver-2.3_rc2.ebuild b/net-wireless/eyefiserver/eyefiserver-2.3_rc2.ebuild
index b5a5ef6..cef0eb1 100644
--- a/net-wireless/eyefiserver/eyefiserver-2.3_rc2.ebuild
+++ b/net-wireless/eyefiserver/eyefiserver-2.3_rc2.ebuild
@@ -2,29 +2,46 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
+EAPI="2"
+
DESCRIPTION="An open source Eye-Fi Server written in Python."
HOMEPAGE="http://returnbooleantrue.blogspot.com/"
-SRC_URI="https://github.com/nirgal/EyeFiServer/${PVR}.tar.gz"
+SRC_URI="https://github.com/nirgal/EyeFiServer/archive/${PVR}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+DEPEND="dev-lang/python
+ doc? ( app-text/txt2man )"
src_unpack() {
unpack ${A}
- cd "${S}"
- rm README
- rm .gitignore
- rm -rf doc
+}
+
+src_prepare() {
+ cd "${WORKDIR}/EyeFiServer-${PVR}"
+ if use doc ; then
+ txt2man -t eyefiserver -r eyefiserver -s 1 -v "Executable programs or shell commands" -I file doc/eyefiserver.txt > doc/eyefiserver.1
+ txt2man -t eyefiserver.conf -r eyefiserver -s 5 -v "File formats and conventions" doc/eyefiserver.conf.txt > doc/eyefiserver.conf.5
+ fi
}
src_install() {
- cp -R "${S}/etc" "/etc" || die "Install failed!"
- cp "${S}/src" "/local/bin" || die "Install failed!"
+ cd "${WORKDIR}/EyeFiServer-${PVR}"
+ insinto /etc
+ doins etc/eyefiserver.conf || die
+ doinitd etc/init.d/eyefiserver || die
+ exeinto /usr/bin
+ doexe src/eyefiserver || die
+ if use doc ; then
+ doman doc/eyefiserver.1 || die
+ doman doc/eyefiserver.conf.5 || die
+ fi
}
pkg_postinst() {
elog "You will need to set up your /etc/eyefiserver.conf file before"
elog "running EyeFi Server for the first time."
}
-
diff --git a/net-wireless/eyefiserver/metadata.xml b/net-wireless/eyefiserver/metadata.xml
index 62d54e9..c38c920 100644
--- a/net-wireless/eyefiserver/metadata.xml
+++ b/net-wireless/eyefiserver/metadata.xml
@@ -1,11 +1,20 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<maintainer>
- <email>silmano@gmail.com</email>
- <name>Pedro Arizmendi</name>
-</maintainer>
-<longdescription lang="en">
-</longdescription>
+ <maintainer>
+ <email>silmano@gmail.com</email>
+ <name>Pedro Arizmendi</name>
+ </maintainer>
+ <longdescription lang="en">
+ An open source Eye-Fi Server written in Python.
+ Will let you send your photos directly to a local
+ server without the need of the server being visible
+ from internet, granting the function to save the photos
+ on a local LAN.
+ </longdescription>
+ <use>
+ <flag name="doc">Generates man pages for the server and
+ the configuration file.</flag>
+ </use>
</pkgmetadata>